package main

import (
	"gorm.io/gorm"
)

type Area struct {
	gorm.Model
	Uid         string
	Name, Flags string
}

type Room struct {
	gorm.Model
	Uid                string
	Name, Area         string
	Building           string
	Info, Notes, Flags string
	X, Y, Z            int
	Norecall, Noportal int
	Exits              []Exit `gorm:"foreignKey:Fromuid"`
}

type Exit struct {
	gorm.Model
	Dir, Fromuid, Touid, Level string
}
